List component groups
GET
/status-pages/{id}/groups
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Responses
200
List of component groups
application/jsongroups
object[]
Array of:
id
string
name
string
description
string | null
display_order
integer
is_collapsed
boolean
curl -X GET 'https://happyuptime.com/api/v1/status-pages/string/groups' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/groups', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://happyuptime.com/api/v1/status-pages/string/groups', headers=headers)print(response.json())
200
Response
{ "groups": [ { "id": "<string>", "name": "<string>", "description": "<string>", "display_order": 123, "is_collapsed": true } ]}
API Playground
Try this endpoint
GET
/status-pages/{id}/groups